<h3 style="text-align: center;">PENGKAJIAN AWAL PASIEN DEWASA RAWAT JALAN <br> RS.AZRA BOGOR</h3>

<p style="text-align: right;">RJ 04</p>
<hr>
<div class="container" fxLayout="column" fxLayoutAlign="center" fxLayoutGap="10px">
    <div>
        <table class="border">
            <tr>
                <td style="width: 33%">
                    <table>
                        <tr>
                            <td>Nama</td>
                            <td>: {{ pengkajianControls('Nama') }} </td>
                        </tr>
                        <tr>
                            <td>Tanggal Lahir</td>
                            <td>: {{ pengkajianControls('Tgl_Lahir') | date:'dd-MM-yyyy' }}</td>
                        </tr>
                        <tr>
                            <td>Tanggal</td>
                            <td>: {{ pengkajianControls('waktu_buat') | date: 'dd-MM-yyyy' }}</td>
                        </tr>
                    </table>
                </td>
                <td style="width: 33%">
                    <table>
                        <tr style="vertical-align : top;">
                            <td>Jenis Kelamin</td>
                            <td>: {{ jenisKelamin() }} </td>
                        </tr>
                        <tr style="vertical-align : top;">
                            <td>Umur</td>
                            <td>: {{ pengkajianControls('Umur_Masuk') }} Tahun</td>
                        </tr>
                        <tr>
                            <td style="visibility: hidden;">Lorem, ipsum.</td>
                            <td style="visibility: hidden;">Lorem, ipsum.</td>
                        </tr>
                    </table>
                </td>
                <td style="width: 33%">
                    <table>
                        <tr>
                            <td>Nomor RM </td>
                            <td>: {{ pengkajianControls('kd_RM') }} </td>
                        </tr>
                        <tr>
                            <td>Poli</td>
                            <td>:</td>
                        </tr>
                        <tr>
                            <td>Jam</td>
                            <td>: {{ pengkajianControls('waktu_buat') | date: 'hh:mm' }}</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
</div>

<div class="container border" style="padding:5px" fxLayout="column" fxLayoutAlign="center" fxLayoutGap="10px" *ngIf="pengkajianPerawatDewasa">
    <h4>Pengkajian Keperawatan</h4>    
    <div class="item">
        <label>I. Tanda Vital </label>
        <table style="margin: 5px;">
           <tr>
               <td>Tekanan Darah: {{ pengkajianControls('tekanan_darah')}} mmHg,</td>
               <td>Frek.nadi: {{ pengkajianControls('frek_nadi') }} x/menit,</td>
               <td>Frek.nafas: {{ pengkajianControls('frek_nafas') }} x/menit, </td>
               <td>Suhu: {{ pengkajianControls('suhu') }} C,</td>
           </tr>
        </table>
    </div>

    <div class="item">
        <label>II. Fungsional</label>
        <table style="margin: 5px;">
            <tr>
                <td>a. Cacat tubuh</td>
                <td colspan="3">: {{ pengkajianControls('cacat_tubuh') }}</td>
            </tr>
            <tr>
                <td>b. Alat Bantu</td>
                <td>: {{ pengkajianControls('alat_bantu') }}</td>
                <td>c. Prothesa</td>
                <td>: {{ pengkajianControls('prothesa') }}</td>
            </tr>
            <tr>
                <td>c. ADL</td>
                <td colspan="3"> 
                    <p>:
                        <span [innerHTML]="checkedIcon(1, pengkajianControls('adl'))"></span> Mandiri
                        <span [innerHTML]="checkedIcon(2, pengkajianControls('adl'))"></span> Dibantu
                    </p>
                </td>
            </tr>
        </table>
    </div>

    <div class="item">
        <label>III. Riwayat Psikososial dan Ekonomi</label>
        <table style="margin: 5px;">
            <tr>
                <td>a. Hubungan pasein dengan keluarga</td>
                <td>
                    <p>:
                        <span [innerHTML]="checkedIcon(1, pengkajianControls('hubungan_keluarga'))"></span> Baik
                        <span [innerHTML]="checkedIcon(2, pengkajianControls('hubungan_keluarga'))"></span> Tidak Baik
                    </p>
                </td>
            </tr>
            <tr>
                <td>b. Status Psikologis</td>
                <td> 
                    <p>:
                        <span [innerHTML]="checkedIcon(1, pengkajianControls('status_psikologis'))"></span> Tenang
                        <span [innerHTML]="checkedIcon(2, pengkajianControls('status_psikologis'))"></span> Cemas
                        <span [innerHTML]="checkedIcon(3, pengkajianControls('status_psikologis'))"></span> Takut
                    </p>
                </td>
            </tr>
            <tr>
                <td> 
                    Kecenderungan bunuh diri dilaporkan ke: {{ pengkajianControls('status_psikologis') }}
                </td>
            </tr>
            <tr>
                <td> 
                    Lainnya: {{ pengkajianControls('lainnya') }}
                </td>
                <td>
                    Pekerjaan: {{pengkajianControls('perkerjaan') }}
                </td>
            </tr>
        </table>
    </div>

    <div class="item">
        <label>IV. Skrining Nutrisi</label>
        <div style="margin: 5px;">
            <p> 
                <span>BB: {{ pengkajianControls('skrining_nutrisi_bb') }}Kg,</span>
                <span>TB: {{ pengkajianControls('skrining_nutrisi_tb') }}Cm,</span>
                <span>IMT: {{ pengkajianControls('skrining_nutrisi_imt') }}Kg/m<sup>2</sup></span>
            </p>
            <div>
                <b>Malnutrition Skreening Tools (MST) Untuk Pasien Dewasa</b>
                <div style="margin:5px">
                    <label>A. Apakah ada penurunan berat badan yang tidak diinginkan selama 6 bulan terakhir?</label>
                    <table>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(1, pengkajianControls('penuruan_bb'))"></span> Skor 0: Tidak ada penurunan berat badan 
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(2, pengkajianControls('penuruan_bb'))"></span> Skor 2: Tidak yakin (tanda: ukuran baju atau celana menjadi longgar)
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Ada penurunan berat badan
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(3, pengkajianControls('penuruan_bb'))"></span>  Skor 1: 1-5 Kg
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(4, pengkajianControls('penuruan_bb'))"></span> Skor 2: 6-10 Kg
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(5, pengkajianControls('penuruan_bb'))"></span> Skor 3: 11-15 Kg
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(6, pengkajianControls('penuruan_bb'))"></span> Skor 4: 15 Kg
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(7, pengkajianControls('penuruan_bb'))"></span> Skor 2: tidak tahu
                            </td>
                        </tr>
                    </table>
                </div>

                <div style="margin: 5px;">
                <b>B. Apakah asupan makanan menurun yang dikarenakan adanya penurunan nafsu makan / kesulitan menerima makanan?</b>
                <table>
                    <tr>
                        <td>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('kesulitan_menerima_makanan'))"></span> Skor 0: Tidak
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span [innerHTML]="checkedIcon(2, pengkajianControls('kesulitan_menerima_makanan'))"></span> Skor 1: Ya
                        </td>
                    </tr>
                </table>
            </div>

            <div style="margin: 5px">
                <b>C. Apakah diagnosa pasien berhubungan dengan gizi?</b>
                <table>
                    <tr>
                        <td>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('diagnosa_berhubungan_dengan_gizi'))"></span> Skor 0: Tidak
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <span [innerHTML]="checkedIcon(2, pengkajianControls('diagnosa_berhubungan_dengan_gizi'))"></span> Skor 1: Ya
                        </td>
                    </tr>
                </table>
                <p>
                    <label>Total Skor A + B + C = {{ skor_bb + skor_nafsu_makan + skor_gizi }}</label> <br>
                    <b>Keterangan</b> <br>
                    Skor 0-1: Tidak beresiko, Skor > 2 : Beresiko (asuhan gizi oleh dietisien)
                </p>
            </div>

            </div>
        </div>
    </div>

    <br>
    <br>

    <div class="item" fxLayout="row wrap" fxLayoutGap="1%">
        <div fxFlex="100%">
            <label>V. Skala Nyeri</label>
        </div>
        <div fxFlex="100%">
            <div fxFlex="49%" fxLayout="column">
                <table fxFlex="100%" style="margin: 5px; text-align: center;">
                    <tr>
                        <td><span [innerHTML]="checkedIcon(0, pengkajianControls('skala_nyeri'))"></span> 0 </td>
                        <td><span [innerHTML]="checkedIcon(1, pengkajianControls('skala_nyeri'))"></span> 1 </td>
                        <td><span [innerHTML]="checkedIcon(2, pengkajianControls('skala_nyeri'))"></span> 2 </td>
                        <td><span [innerHTML]="checkedIcon(3, pengkajianControls('skala_nyeri'))"></span> 3 </td>
                        <td><span [innerHTML]="checkedIcon(4, pengkajianControls('skala_nyeri'))"></span> 4 </td>
                        <td><span [innerHTML]="checkedIcon(5, pengkajianControls('skala_nyeri'))"></span> 5 </td>
                        <td><span [innerHTML]="checkedIcon(6, pengkajianControls('skala_nyeri'))"></span> 6 </td>
                        <td><span [innerHTML]="checkedIcon(7, pengkajianControls('skala_nyeri'))"></span> 7 </td>
                        <td><span [innerHTML]="checkedIcon(8, pengkajianControls('skala_nyeri'))"></span> 8 </td>
                        <td><span [innerHTML]="checkedIcon(9, pengkajianControls('skala_nyeri'))"></span> 9 </td>
                        <td><span [innerHTML]="checkedIcon(10, pengkajianControls('skala_nyeri'))"></span> 10 </td>
                    </tr>
                </table>
                <img src="/assets/images/nyeri.png" fxFlex="100%" style="height: 100%; width: 100%; margin-bottom: 12px;">
            </div>
            <div fxFlex="49%" class="border">
                <table style="margin: 2px">
                    <tr>
                        <td>Nyeri di provokasi oleh:</td>
                        <td>{{ pengkajianControls('nyeri_diprovokasi_oleh') }}</td>
                    </tr>
                    <tr>
                        <td>Sifat Nyeri:</td>
                        <td>{{ pengkajianControls('sifat_nyeri') }}</td>
                    </tr>
                    <tr>
                        <td>Lokasi nyeri:</td>
                        <td>{{ pengkajianControls('lokasi_nyeri') }}</td>
                    </tr>
                    <tr>
                        <td>Penjalaran nyeri:</td>
                        <td>{{ pengkajianControls('penjalaran_nyeri') }}</td>
                    </tr>
                    <tr>
                        <td>Skala nyeri:</td>
                        <td>{{ pengkajianControls('skala_nyeri') }}</td>
                    </tr>
                    <tr>
                        <td>Durasi nyeri:</td>
                        <td>{{ pengkajianControls('durasi_nyeri') }}</td>
                    </tr>
                    <tr>
                        <td>Frekuensi:</td>
                        <td>{{ pengkajianControls('frekuensi_nyeri') }}</td>
                    </tr>
                </table>
            </div>
        </div>

        <div fxFlex="100%" fxLayout="column">
            <div  fxFlex="49%">
                <table>
                    <tr>
                        <td><span [innerHTML]="checkedIcon('', pengkajianControls('nyeri'))"></span> Tidak Ada nyeri </td>
                        <td><span [innerHTML]="checkedIcon(1, pengkajianControls('nyeri'))"></span> Nyeri Akut </td>
                        <td><span [innerHTML]="checkedIcon(2, pengkajianControls('nyeri'))"></span> Nyeri Kronis </td>
                    </tr>
                </table>
            </div>
            <div fxFlex="100%">
                <table>
                    <tr>
                        <td colspan="5">Nyeri hilang bila:</td>
                    </tr>
                    <tr>
                        <td><span [innerHTML]="checkedIcon(1, pengkajianControls('nyeri_hilang_bila'))"></span> Minum Obat </td>
                        <td><span [innerHTML]="checkedIcon(2, pengkajianControls('nyeri_hilang_bila'))"></span> Istirahat </td>
                        <td><span [innerHTML]="checkedIcon(3, pengkajianControls('nyeri_hilang_bila'))"></span> Mendengar musik </td>
                        <td><span [innerHTML]="checkedIcon(4, pengkajianControls('nyeri_hilang_bila'))"></span> Berubah Posisi / tidur </td>                
                        <td><span [innerHTML]="checkedIcon(5, pengkajianControls('nyeri_hilang_bila'))"></span> Lain-lain : {{  pengkajianControls('nyeri_hilang_bila_lain_lain') }} </td>
                    </tr>
                </table>
            </div>
        </div>

    </div>

    <div class="item">
        <label>VI. Skrining Risiko Cedera/Jatuh</label>
        <div style="margin: 5px;">
            <p>
                a. Perhatikan cara berjalan pasien saat akan duduk di kursi. Apakah tampak tidak seimbang (sempoyongan/limbung)? <br>
                <span [innerHTML]="checkedIcon(1, pengkajianControls('sempoyongan'))"></span> Ya
                <span [innerHTML]="checkedIcon(2, pengkajianControls('sempoyongan'))"></span> Tidak
            </p>
            <p>
                b. Apakah pesien memengang pinggiran kursi atau meja atau benda lain sebagai penopang saat akan duduk? <br>
                <span [innerHTML]="checkedIcon(1, pengkajianControls('penopang'))"></span> Ya
                <span [innerHTML]="checkedIcon(2, pengkajianControls('penopang'))"></span> Tidak
            </p>
        </div>
        <div style="margin: 5px">
            <p>Hasil :</p>
            <p>
                <span [innerHTML]="checkedIcon(1, skriningRisiko)"></span> Tidak Beresiko (tidak ditemukan a dan b)
                <span [innerHTML]="checkedIcon(2, skriningRisiko)"></span> Risiko Rendah (ditemukan a atau b)
                <span [innerHTML]="checkedIcon(3, skriningRisiko)"></span> Risiko Tinggi (ditemukan a dan b)
            </p>
        </div>
    </div>

    <div class="item">
        <label>VII. DATA SPIRITUAL/KEYAKINAN</label>
        <div style="margin: 5px;">
            <table>
                <tbody>
                    <tr>
                        <td>Agama</td>
                        <td> 
                            <p>:
                                <span [innerHTML]="checkedIcon(1, pengkajianControls('agama'))"></span> Islam
                                <span [innerHTML]="checkedIcon(2, pengkajianControls('agama'))"></span> Katholik
                                <span [innerHTML]="checkedIcon(3, pengkajianControls('agama'))"></span> Protestan
                                <span [innerHTML]="checkedIcon(4, pengkajianControls('agama'))"></span> Hindu
                                <span [innerHTML]="checkedIcon(5, pengkajianControls('agama'))"></span> Budha
                                <span [innerHTML]="checkedIcon(6, pengkajianControls('agama'))"></span> Konghucu
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <td><span [innerHTML]="checkedIcon(7, pengkajianControls('agama'))"></span> Ya</td>
                        <td>{{ pengkajianControls('agama_lainnya') }}</td>
                    </tr>
                    <tr>
                        <td><span [innerHTML]="checkedIcon(8, pengkajianControls('agama'))"></span> Tidak</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <div class="item">
        <label>VIII. KEBUTUHAN KOMUNIKASI/PENDIDIKAN DAN PENGAJARAN BICARA</label>
        <div style="margin: 0 5px">
            <table>
                <tr>
                    <td>Bicara </td>
                    <td style="width: 70%;">
                        <p>
                            : <span [innerHTML]="checkedIcon(1, pengkajianControls('bicara'))"></span> Bicara <span [innerHTML]="checkedIcon(2, pengkajianControls('bicara'))"></span> Serangan awal gangguan bicara, sejak: {{ pengkajianControls('bicara_sejak') ? pengkajianControls('bicara_sejak') : '...' }}
                        </p>
                    </td>
                </tr>
                <tr>
                    <td>Bahasa Sehari-hari</td>
                    <td style="width: 70%;">
                        <p>
                          : <span [innerHTML]="checkedIcon(1, pengkajianControls('bahasa_sehari_hari'))"></span> Indonesia <b>aktif</b>/<b>pasif</b>  <span [innerHTML]="checkedIcon(3, pengkajianControls('bahasa_sehari_hari'))"></span> Daerah: {{ pengkajianControls('bahasa_daerah') }} <br>
                            <span [innerHTML]="checkedIcon(2, pengkajianControls('bahasa_sehari_hari'))"></span> Inggris <b>aktif</b>/<b>pasif</b>  <span [innerHTML]="checkedIcon(4, pengkajianControls('bahasa_sehari_hari'))"></span> Lainnya: {{ pengkajianControls('bahasa_lainnya') }}
                        </p>
                    </td>
                </tr>
                <tr>
                    <td>Perlu penterjemah</td>
                    <td style="width: 70%;">
                        <p style="margin: 0;">:
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('perlu_penterjemah'))"></span> Tidak 
                            <span [innerHTML]="checkedIcon(2, pengkajianControls('perlu_penterjemah'))"></span>Ya Bahasa: {{ pengkajianControls('perlu_penterjemah_bahasa') ?  pengkajianControls('perlu_penterjemah_bahasa') : '...' }} <br>
                            <span [innerHTML]="checkedIcon(3, pengkajianControls('perlu_penterjemah'))"></span> Bahasa Isyarat 
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('perlu_penterjemah_isyarat'))"></span>Tidak 
                            <span [innerHTML]="checkedIcon(2, pengkajianControls('perlu_penterjemah_isyarat'))"></span>Ya
                        </p>
                    </td>
                </tr>
                <tr>
                    <td>Hambatan Belajar </td>
                    <td style="width: 70%;">:{{ pengkajianControls('hambatan_belajar') }}</td>
                </tr>
                <tr>
                    <td>Cara Belajar Yang disukai</td>
                    <td style="width: 70%;">:{{ pengkajianControls('cara_belajar') }}</td>
                </tr>
                <tr>
                    <td>Tingkatan Pendidikan </td>
                    <td style="width: 70%;">
                        <p style="margin: 0;">:
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('tingkat_pendidikan'))"></span> TK
                            <span [innerHTML]="checkedIcon(2, pengkajianControls('tingkat_pendidikan'))"></span> SD
                            <span [innerHTML]="checkedIcon(3, pengkajianControls('tingkat_pendidikan'))"></span> SMP
                            <span [innerHTML]="checkedIcon(4, pengkajianControls('tingkat_pendidikan'))"></span> SMA
                            <span [innerHTML]="checkedIcon(5, pengkajianControls('tingkat_pendidikan'))"></span> Akademik
                            <span [innerHTML]="checkedIcon(6, pengkajianControls('tingkat_pendidikan'))"></span> Sarjana
                            <span [innerHTML]="checkedIcon(7, pengkajianControls('tingkat_pendidikan'))"></span> Lain-Lain
                        </p>
                    </td>
                </tr>
                <tr>
                    <td>Potensi Kebutuhan Pembelajaran</td>
                    <td style="width: 70%;">: {{ pengkajianControls('potensi_kebutuhan_pembelajaran') }}</td>
                </tr>
                <tr>
                    <td>Pasien bersedia menerima edukasi</td>
                    <td style="width: 70%;">
                        <p style="margin: 0;">:
                        <span [innerHTML]="checkedIcon(1, pengkajianControls('pasien_bersedia_menerima_edukasi'))"></span> Ya
                        <span [innerHTML]="checkedIcon(2, pengkajianControls('pasien_bersedia_menerima_edukasi'))"></span> Tidak
                        </p>
                    </td>
                </tr>
            </table>
        </div>

        <div style="width: 100%; display: flex; flex-direction: row; overflow: hidden;">
            <div style="width: 65%;"></div>
            <div style="width: 35%; text-align: center; page-break-inside: avoid;">
                <p style="margin: 0; padding: 0;">
                    Tanggal, {{pengkajianControls('waktu_buat') | date: 'd MMMM yyyy' }}, jam {{ pengkajianControls('waktu_buat') | date: 'hh:mm' }} <br> 
                    Perawat yang melakukan pengkajian <br>
                    <img style="height: 50pt; margin: 0; object-fit: contain; border: none;" *ngIf="perawat?.TTD" [src]="tandatangan"> <br>
                    {{ perawat ? perawat.NAMA : '' }}
                </p>
            </div>
        </div>
    </div>
</div> 